Bug 1029098 - Unable to display GDM banner message in Fedora 20
Unable to display GDM banner message in Fedora 20
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-11-11 11:32 EST by James T
Modified: 2015-06-29 08:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 08:52:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James T 2013-11-11 11:32:38 EST
Description of problem:

Beginning with Fedora 20 Beta / GDM 3.10, I cannot get the banner message text to display using the methods that worked in Fedora 19. I cannot find any alternative method for setting that text that works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Fedora 20
2. Apply all current updates
3. Configure dconf

banner-message-text='NOTICE TO USERS\nThis is a Federal computer system and is the property of the United States Government.\nIt is for authorized use only. Users (authorized or unauthorized) have no\nexplicit or implicit expectation of privacy.\n\nAny or all uses of this system and all files on this system may be\nintercepted, monitored, recorded, copied, audited, inspected, and disclosed to\nauthorized site, Department of Energy, and law enforcement personnel, as well\nas authorized officials of other agencies, both domestic and foreign. By using this system,\nthe user consents to such interception, monitoring, recording, copying, auditing, inspection,\nand disclosure at the discretionof authorized site or Department of Energy personnel.\nUnauthorized or improper use of this system may result in administrative\ndisciplinary action and civil and criminal penalties.\n\nBy continuing to use this system you indicate your awareness of and consent to these\n terms and conditions of use. LOG OFF IMMEDIATELY if you do not agree to the conditions\nstated in this warning.'

4. Rebuild the dconf database
dconf update

5. Restart the system

Actual results:
The username list is disabled (as desired) but the banner message text is not displayed.

Expected results:
After making the changes above and restarting, the GDM login screen should display the desired banner text.

Additional info:
Fedora 19 works fine, so it is possible that this method of configuring GDM is no longer valid. I have done some research and testing, and have no found a working method to accomplish this.
Comment 1 James T 2013-12-20 06:33:58 EST
As a point of reference, RHEL 7 Beta works fine when configured this same way. The behavior has changed slightly from previous versions - the banner is only displayed after the user enters his username - but it is still displayed.
Comment 2 Stephen Wilson 2014-01-21 17:14:40 EST
Try the following 

1. Add a keyfile to the /etc/dconf/db/gdm.d directory and name it, for example, 01-banner-message.

2. Add the following content to the file:

    banner-message-text='Type the banner message here.' * use a short message *

3. Run the dconf update command.

4. Reboot

There maybe a limit on the characters accepted by that key.


Worked on my Fedora 20 x86_64 with a short banner message.
Comment 3 James T 2014-01-22 09:29:01 EST
Thanks, the tip above does work with two caveats:

1. If I disable the username list ( disable-user-list=true ) the banner is not displayed.

2. Large banners are truncated.
Comment 4 Jim Kinney 2014-04-16 17:55:15 EDT
I noticed while tweaking on this that the banner text appears briefly in the center of the screen but is then covered by the area used for the username text box and associated text and "Next" button.

The workaround I am using it to create a logo.png graphic with the text of the banner and set that to display with an entry in /etc/dconf/db/gdm.d/01-logo


then a dconf update and restart GDM
Comment 5 Fedora End Of Life 2015-05-29 05:43:57 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:52:31 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.